diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/geographic-positions.cc ns-3.44/src/mobility/model/geographic-positions.cc
--- ns-3.43/src/mobility/model/geographic-positions.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/geographic-positions.cc	2025-03-09 16:55:49.655372100 -0700
@@ -8,8 +8,8 @@
 
 #include "geographic-positions.h"
 
-#include <ns3/angles.h>
-#include <ns3/log.h>
+#include "ns3/angles.h"
+#include "ns3/log.h"
 
 #include <cmath>
 
@@ -29,7 +29,7 @@
  */
 
 /**
- * \brief  Lambda function for computing the curvature
+ * @brief  Lambda function for computing the curvature
  */
 auto curvature = [](double e, double ph) { return sqrt(1 - e * e * sin(ph) * sin(ph)); };
 } // namespace
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/geographic-positions.h ns-3.44/src/mobility/model/geographic-positions.h
--- ns-3.43/src/mobility/model/geographic-positions.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/geographic-positions.h	2025-03-09 16:55:49.655372100 -0700
@@ -6,8 +6,8 @@
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
 
-#include <ns3/random-variable-stream.h>
-#include <ns3/vector.h>
+#include "ns3/random-variable-stream.h"
+#include "ns3/vector.h"
 
 #ifndef GEOGRAPHIC_POSITIONS_H
 #define GEOGRAPHIC_POSITIONS_H
@@ -16,7 +16,7 @@
 {
 
 /**
- * \ingroup mobility
+ * @ingroup mobility
  *
  * Consists of methods dealing with Earth geographic coordinates and locations.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/hierarchical-mobility-model.h ns-3.44/src/mobility/model/hierarchical-mobility-model.h
--- ns-3.43/src/mobility/model/hierarchical-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/hierarchical-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -14,8 +14,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Hierarchical mobility model.
+ * @ingroup mobility
+ * @brief Hierarchical mobility model.
  *
  * This model allows you to specify the position of a child object
  * relative to a parent object.
@@ -48,21 +48,21 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     HierarchicalMobilityModel();
 
     /**
-     * \return the child mobility model.
+     * @return the child mobility model.
      *
      * Calling GetPosition() on the model returned by this method allows
      * one to access the position of the child relative to its parent.
      */
     Ptr<MobilityModel> GetChild() const;
     /**
-     * \return the parent mobility model.
+     * @return the parent mobility model.
      *
      * Calling GetPosition() on the model returned by this method allows
      * one to access the position of the parent alone, which is used
@@ -75,7 +75,7 @@
      * then the new child mobility model's current position is also set to
      * the previous position to ensure that the composite
      * position is preserved by this operation.
-     * \param model new mobility model child
+     * @param model new mobility model child
      */
     void SetChild(Ptr<MobilityModel> model);
     /**
@@ -84,7 +84,7 @@
      * then the new position is set to the position that was set before
      * replacement, to ensure that the composite position is preserved
      * across changes to the parent model.
-     * \param model new mobility model parent
+     * @param model new mobility model parent
      */
     void SetParent(Ptr<MobilityModel> model);
 
@@ -97,12 +97,12 @@
 
     /**
      * Callback for when parent mobility model course change occurs
-     * \param model mobility mode (unused)
+     * @param model mobility mode (unused)
      */
     void ParentChanged(Ptr<const MobilityModel> model);
     /**
      * Callback for when child mobility model course change occurs
-     * \param model mobility mode (unused)
+     * @param model mobility mode (unused)
      */
     void ChildChanged(Ptr<const MobilityModel> model);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/mobility.h ns-3.44/src/mobility/model/mobility.h
--- ns-3.43/src/mobility/model/mobility.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/mobility.h	2025-03-09 16:55:49.655372100 -0700
@@ -11,7 +11,7 @@
  */
 
 /**
- * \addtogroup mobility Mobility
+ * @addtogroup mobility Mobility
  *
  * The mobility support includes:
  *  - a set of mobility models which are used to track and maintain
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/mobility-model.h ns-3.44/src/mobility/model/mobility-model.h
--- ns-3.43/src/mobility/model/mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -16,8 +16,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Keep track of the current position and velocity of an object.
+ * @ingroup mobility
+ * @brief Keep track of the current position and velocity of an object.
  *
  * All space coordinates in this class and its subclasses are
  * understood to be meters or meters/s. i.e., they are all
@@ -30,14 +30,14 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     MobilityModel();
     ~MobilityModel() override = 0;
 
     /**
-     * \return the current position
+     * @return the current position
      */
     Vector GetPosition() const;
     /**
@@ -47,27 +47,27 @@
      * to determine if it is inside or outside of a building unless it knows
      * the parent position.
      *
-     * \param referencePosition reference position to consider
-     * \return the current position based on the provided referencePosition
+     * @param referencePosition reference position to consider
+     * @return the current position based on the provided referencePosition
      * \sa ns3::MobilityModel::DoGetPositionWithReference
      */
     Vector GetPositionWithReference(const Vector& referencePosition) const;
     /**
-     * \param position the position to set.
+     * @param position the position to set.
      */
     void SetPosition(const Vector& position);
     /**
-     * \return the current velocity.
+     * @return the current velocity.
      */
     Vector GetVelocity() const;
     /**
-     * \param position a reference to another mobility model
-     * \return the distance between the two objects. Unit is meters.
+     * @param position a reference to another mobility model
+     * @return the distance between the two objects. Unit is meters.
      */
     double GetDistanceFrom(Ptr<const MobilityModel> position) const;
     /**
-     * \param other reference to another object's mobility model
-     * \return the relative speed between the two objects. Unit is meters/s.
+     * @param other reference to another object's mobility model
+     * @return the relative speed between the two objects. Unit is meters/s.
      */
     double GetRelativeSpeed(Ptr<const MobilityModel> other) const;
     /**
@@ -75,15 +75,15 @@
      * used by this model. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
      *  TracedCallback signature.
      *
-     * \param [in] model Value of the MobilityModel.
+     * @param [in] model Value of the MobilityModel.
      */
     typedef void (*TracedCallback)(Ptr<const MobilityModel> model);
 
@@ -96,29 +96,29 @@
 
   private:
     /**
-     * \return the current position.
+     * @return the current position.
      *
      * Concrete subclasses of this base class must
      * implement this method.
      */
     virtual Vector DoGetPosition() const = 0;
     /**
-     * \param referencePosition the reference position to consider
-     * \return the current position.
+     * @param referencePosition the reference position to consider
+     * @return the current position.
      *
      * Unless subclasses override, this method will disregard the reference
      * position and return "DoGetPosition ()".
      */
     virtual Vector DoGetPositionWithReference(const Vector& referencePosition) const;
     /**
-     * \param position the position to set.
+     * @param position the position to set.
      *
      * Concrete subclasses of this base class must
      * implement this method.
      */
     virtual void DoSetPosition(const Vector& position) = 0;
     /**
-     * \return the current velocity.
+     * @return the current velocity.
      *
      * Concrete subclasses of this base class must
      * implement this method.
@@ -128,8 +128,8 @@
      * The default implementation does nothing but return the passed-in
      * parameter.  Subclasses using random variables are expected to
      * override this.
-     * \param start  starting stream index
-     * \return the number of streams used
+     * @param start  starting stream index
+     * @return the number of streams used
      */
     virtual int64_t DoAssignStreams(int64_t start);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/position-allocator.h ns-3.44/src/mobility/model/position-allocator.h
--- ns-3.43/src/mobility/model/position-allocator.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/position-allocator.h	2025-03-09 16:55:49.655372100 -0700
@@ -16,8 +16,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Allocate a set of positions. The allocation strategy is implemented in subclasses.
+ * @ingroup mobility
+ * @brief Allocate a set of positions. The allocation strategy is implemented in subclasses.
  *
  * This is a pure abstract base class.
  */
@@ -26,13 +26,13 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     PositionAllocator();
     ~PositionAllocator() override;
     /**
-     * \return the next chosen position.
+     * @return the next chosen position.
      *
      * This method _must_ be implement in subclasses.
      */
@@ -44,15 +44,15 @@
      *
      * This method _must_ be implement in subclasses.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t AssignStreams(int64_t stream) = 0;
 };
 
 /**
- * \ingroup mobility
- * \brief Allocate positions from a deterministic list specified by the user.
+ * @ingroup mobility
+ * @brief Allocate positions from a deterministic list specified by the user.
  *
  * The first call to ListPositionAllocator::GetNext  will return the
  * first element of the list, the second call, the second element, and so on.
@@ -62,19 +62,19 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ListPositionAllocator();
 
     /**
-     * \brief Add a position to the list of positions
-     * \param v the position to append at the end of the list of positions to return from GetNext.
+     * @brief Add a position to the list of positions
+     * @param v the position to append at the end of the list of positions to return from GetNext.
      */
     void Add(Vector v);
 
     /**
-     * \brief Add the positions listed in a file.
+     * @brief Add the positions listed in a file.
      * The file should be a simple text file, with one position per line,
      * either X and Y, or X, Y and Z, in meters.  The delimiter can
      * be any character, such as ',' or '\\t'; the default is a comma ','.
@@ -82,10 +82,10 @@
      * The file is read using CsvReader, which explains how comments
      * and whitespace are handled.
      *
-     * \param [in] filePath The path to the input file.
-     * \param [in] defaultZ The default Z value to use when reading files
+     * @param [in] filePath The path to the input file.
+     * @param [in] defaultZ The default Z value to use when reading files
      *             with only X and Y positions.
-     * \param [in] delimiter The delimiter character; see CsvReader.
+     * @param [in] delimiter The delimiter character; see CsvReader.
      */
     void Add(const std::string filePath, double defaultZ = 0, char delimiter = ',');
 
@@ -94,7 +94,7 @@
      * based on calling GetNext(), as the number of positions is not altered
      * by calling GetNext ().
      *
-     * \return the number of positions stored
+     * @return the number of positions stored
      */
     uint32_t GetSize() const;
     Vector GetNext() const override;
@@ -106,15 +106,15 @@
 };
 
 /**
- * \ingroup mobility
- * \brief Allocate positions on a rectangular 2d grid.
+ * @ingroup mobility
+ * @brief Allocate positions on a rectangular 2d grid.
  */
 class GridPositionAllocator : public PositionAllocator
 {
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -140,57 +140,57 @@
     GridPositionAllocator();
 
     /**
-     * \param xMin the x coordinate where layout will start.
+     * @param xMin the x coordinate where layout will start.
      */
     void SetMinX(double xMin);
     /**
-     * \param yMin the y coordinate where layout will start
+     * @param yMin the y coordinate where layout will start
      */
     void SetMinY(double yMin);
     /**
-     * \param z   the Z coordinate of all the positions allocated
+     * @param z   the Z coordinate of all the positions allocated
      */
     void SetZ(double z);
     /**
-     * \param deltaX the x interval between two x-consecutive positions.
+     * @param deltaX the x interval between two x-consecutive positions.
      */
     void SetDeltaX(double deltaX);
     /**
-     * \param deltaY the y interval between two y-consecutive positions.
+     * @param deltaY the y interval between two y-consecutive positions.
      */
     void SetDeltaY(double deltaY);
     /**
-     * \param n the number of positions allocated on each row (or each column)
+     * @param n the number of positions allocated on each row (or each column)
      *        before switching to the next column (or row).
      */
     void SetN(uint32_t n);
     /**
-     * \param layoutType the type of layout to use (row first or column first).
+     * @param layoutType the type of layout to use (row first or column first).
      */
     void SetLayoutType(LayoutType layoutType);
 
     /**
-     * \return the x coordinate of the first allocated position.
+     * @return the x coordinate of the first allocated position.
      */
     double GetMinX() const;
     /**
-     * \return the y coordinate of the first allocated position.
+     * @return the y coordinate of the first allocated position.
      */
     double GetMinY() const;
     /**
-     * \return the x interval between two consecutive x-positions.
+     * @return the x interval between two consecutive x-positions.
      */
     double GetDeltaX() const;
     /**
-     * \return the y interval between two consecutive y-positions.
+     * @return the y interval between two consecutive y-positions.
      */
     double GetDeltaY() const;
     /**
-     * \return the number of positions to allocate on each row or each column.
+     * @return the number of positions to allocate on each row or each column.
      */
     uint32_t GetN() const;
     /**
-     * \return the currently-selected layout type.
+     * @return the currently-selected layout type.
      */
     LayoutType GetLayoutType() const;
 
@@ -209,32 +209,32 @@
 };
 
 /**
- * \ingroup mobility
- * \brief Allocate random positions within a rectangle according to a pair of random variables.
+ * @ingroup mobility
+ * @brief Allocate random positions within a rectangle according to a pair of random variables.
  */
 class RandomRectanglePositionAllocator : public PositionAllocator
 {
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     RandomRectanglePositionAllocator();
     ~RandomRectanglePositionAllocator() override;
 
     /**
-     * \brief Set the random variable stream object that generates x-positions
-     * \param x pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates x-positions
+     * @param x pointer to a RandomVariableStream object
      */
     void SetX(Ptr<RandomVariableStream> x);
     /**
-     * \brief Set the random variable stream object that generates y-positions
-     * \param y pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates y-positions
+     * @param y pointer to a RandomVariableStream object
      */
     void SetY(Ptr<RandomVariableStream> y);
     /**
-     * \param z   the Z coordinate of all the positions allocated
+     * @param z   the Z coordinate of all the positions allocated
      */
     void SetZ(double z);
 
@@ -248,33 +248,33 @@
 };
 
 /**
- * \ingroup mobility
- * \brief Allocate random positions within a 3D box according to a set of three random variables.
+ * @ingroup mobility
+ * @brief Allocate random positions within a 3D box according to a set of three random variables.
  */
 class RandomBoxPositionAllocator : public PositionAllocator
 {
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     RandomBoxPositionAllocator();
     ~RandomBoxPositionAllocator() override;
 
     /**
-     * \brief Set the random variable stream object that generates x-positions
-     * \param x pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates x-positions
+     * @param x pointer to a RandomVariableStream object
      */
     void SetX(Ptr<RandomVariableStream> x);
     /**
-     * \brief Set the random variable stream object that generates y-positions
-     * \param y pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates y-positions
+     * @param y pointer to a RandomVariableStream object
      */
     void SetY(Ptr<RandomVariableStream> y);
     /**
-     * \brief Set the random variable stream object that generates z-positions
-     * \param z pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates z-positions
+     * @param z pointer to a RandomVariableStream object
      */
     void SetZ(Ptr<RandomVariableStream> z);
 
@@ -288,12 +288,12 @@
 };
 
 /**
- * \ingroup mobility
- * \brief Allocate random positions within a disc according to
+ * @ingroup mobility
+ * @brief Allocate random positions within a disc according to
  * a given distribution for the polar coordinates of each node
  * with respect to the provided center of the disc.
  *
- * \note With the default uniform distribution over \f$2 \pi\f$ in \c theta and a
+ * @note With the default uniform distribution over \f$2 \pi\f$ in \c theta and a
  * uniform distribution for \c rho this position allocator will *not*
  * uniformly populate the disc.  The radial distribution will be proportional
  * to \f$\frac{1}{r^2}\f$.
@@ -305,34 +305,34 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     RandomDiscPositionAllocator();
     ~RandomDiscPositionAllocator() override;
 
     /**
-     * \brief Set the random variable that generates position angle, in radians.
-     * \param theta Random variable that represents the angle in radians of a position in a random
+     * @brief Set the random variable that generates position angle, in radians.
+     * @param theta Random variable that represents the angle in radians of a position in a random
      * disc.
      */
     void SetTheta(Ptr<RandomVariableStream> theta);
     /**
-     * \brief Set the random variable that generates position radius, in meters
-     * \param rho Random variable that represents the radius of a position, in meters, in a random
+     * @brief Set the random variable that generates position radius, in meters
+     * @param rho Random variable that represents the radius of a position, in meters, in a random
      * disc.
      */
     void SetRho(Ptr<RandomVariableStream> rho);
     /**
-     * \param x  the X coordinate of the center of the disc
+     * @param x  the X coordinate of the center of the disc
      */
     void SetX(double x);
     /**
-     * \param y   the Y coordinate of the center of the disc
+     * @param y   the Y coordinate of the center of the disc
      */
     void SetY(double y);
     /**
-     * \param z   the Z coordinate of all the positions allocated
+     * @param z   the Z coordinate of all the positions allocated
      */
     void SetZ(double z);
 
@@ -348,8 +348,8 @@
 };
 
 /**
- * \ingroup mobility
- * \brief Allocate the positions uniformly (with constant density) randomly within a disc.
+ * @ingroup mobility
+ * @brief Allocate the positions uniformly (with constant density) randomly within a disc.
  *
  * UniformDiscPositionAllocator allocates the positions randomly within a disc \f$ D \f$ lying on
  * the plane \f$ z\f$ and having center at coordinates \f$ (x,y,z) \f$ and radius \f$ \rho \f$. The
@@ -357,7 +357,7 @@
  * the fraction of points which fall into \f$ S \subset D \f$ corresponds to \f$ \frac{|S|}{|D|}
  * \f$, i.e., to the ratio of the area of the subset to the area of the whole disc.
  *
- * \note using UniformDiscPositionAllocator is not equivalent to using
+ * @note using UniformDiscPositionAllocator is not equivalent to using
  * a RandomDiscPositionAllocator with a uniformly-distributed radius,
  * since doing that would result in a point distribution which is
  * more dense towards the center of the disc.
@@ -367,29 +367,29 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     UniformDiscPositionAllocator();
     ~UniformDiscPositionAllocator() override;
 
     /**
-     * \param rho the value of the radius of the disc
+     * @param rho the value of the radius of the disc
      */
     void SetRho(double rho);
 
     /**
-     * \param x  the X coordinate of the center of the disc
+     * @param x  the X coordinate of the center of the disc
      */
     void SetX(double x);
 
     /**
-     * \param y   the Y coordinate of the center of the disc
+     * @param y   the Y coordinate of the center of the disc
      */
     void SetY(double y);
 
     /**
-     * \param z   the Z coordinate of all the positions allocated
+     * @param z   the Z coordinate of all the positions allocated
      */
     void SetZ(double z);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/random-direction-2d-mobility-model.h ns-3.44/src/mobility/model/random-direction-2d-mobility-model.h
--- ns-3.43/src/mobility/model/random-direction-2d-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/random-direction-2d-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -22,8 +22,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Random direction mobility model.
+ * @ingroup mobility
+ * @brief Random direction mobility model.
  *
  * The movement of objects is based on random directions: each object
  * pauses for a specific delay, chooses a random direction and speed and
@@ -36,7 +36,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     RandomDirection2dMobilityModel();
@@ -53,7 +53,7 @@
     void BeginPause();
     /**
      * Set new velocity and direction, and schedule next pause event
-     * \param direction (radians)
+     * @param direction (radians)
      */
     void SetDirectionAndSpeed(double direction);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/random-walk-2d-mobility-model.cc ns-3.44/src/mobility/model/random-walk-2d-mobility-model.cc
--- ns-3.43/src/mobility/model/random-walk-2d-mobility-model.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/random-walk-2d-mobility-model.cc	2025-03-09 16:55:49.655372100 -0700
@@ -38,7 +38,7 @@
                           MakeRectangleChecker())
             .AddAttribute("Time",
                           "Change current direction and speed after moving for this delay.",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&RandomWalk2dMobilityModel::m_modeTime),
                           MakeTimeChecker())
             .AddAttribute("Distance",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/random-walk-2d-mobility-model.h ns-3.44/src/mobility/model/random-walk-2d-mobility-model.h
--- ns-3.43/src/mobility/model/random-walk-2d-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/random-walk-2d-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -21,8 +21,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief 2D random walk mobility model.
+ * @ingroup mobility
+ * @brief 2D random walk mobility model.
  *
  * Each instance moves with a speed and direction chosen at random
  * with the user-provided random variables until
@@ -42,7 +42,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -57,14 +57,14 @@
 
   private:
     /**
-     * \brief Performs the rebound of the node if it reaches a boundary
-     * \param timeLeft The remaining time of the walk
+     * @brief Performs the rebound of the node if it reaches a boundary
+     * @param timeLeft The remaining time of the walk
      */
     void Rebound(Time timeLeft);
     /**
      * Walk according to position and velocity, until distance is reached,
      * time is reached, or intersection with the bounding box
-     * \param timeLeft The remaining time of the walk
+     * @param timeLeft The remaining time of the walk
      */
     void DoWalk(Time timeLeft);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/random-waypoint-mobility-model.h ns-3.44/src/mobility/model/random-waypoint-mobility-model.h
--- ns-3.43/src/mobility/model/random-waypoint-mobility-model.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/model/random-waypoint-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Random waypoint mobility model.
+ * @ingroup mobility
+ * @brief Random waypoint mobility model.
  *
  * Each object starts by pausing at time zero for the duration governed
  * by the random variable "Pause".  After pausing, the object will pick
@@ -44,7 +44,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/rectangle.cc ns-3.44/src/mobility/model/rectangle.cc
--- ns-3.43/src/mobility/model/rectangle.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/model/rectangle.cc	2025-03-09 16:55:49.655372100 -0700
@@ -176,11 +176,11 @@
 ATTRIBUTE_HELPER_CPP(Rectangle);
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param rectangle the rectangle
- * \returns a reference to the stream
+ * @param os the stream
+ * @param rectangle the rectangle
+ * @returns a reference to the stream
  */
 std::ostream&
 operator<<(std::ostream& os, const Rectangle& rectangle)
@@ -190,11 +190,11 @@
 }
 
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param rectangle the rectangle
- * \returns a reference to the stream
+ * @param is the stream
+ * @param rectangle the rectangle
+ * @returns a reference to the stream
  */
 std::istream&
 operator>>(std::istream& is, Rectangle& rectangle)
@@ -211,11 +211,11 @@
 }
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param side the rectangle side
- * \returns a reference to the stream
+ * @param os the stream
+ * @param side the rectangle side
+ * @returns a reference to the stream
  */
 std::ostream&
 operator<<(std::ostream& os, const Rectangle::Side& side)
